.header_booking {
  background: $color-button;
  position: absolute;
  width: 100%;
  left: 0;
  color: $white;
  .logo {
    cursor: pointer;
  }
  nav {
    margin-left: 20%;
    .nav-links {
      list-style: none;
      li {
        display: inline-block;
        padding: 0px 10px;
        a {
          transition: all 0.3s ease 0s;
          &:hover {
            color: $secondary;
          }
          svg {
            margin-right: 10px;
            color: $secondary;
          }
        }
        .boder-nav {
          height: 1px;
          -webkit-transform: rotate(-0.08deg);
          transform: rotate(-0.08deg);
        }
      }
    }
  }
  .cta {
    button {
      margin-right: 20px;
      color: $color-button;
      font-weight: 600;
      padding: 9px 25px;
      background-color: $yellow;
      border: none;
      cursor: pointer;
      transition: all 0.3s ease 0s;
      &:hover {
        background-color: $secondary;
      }
      svg {
        color: $color-button;
      }
    }
  }
}

.tablebooking-wapper {
  .btn-back {
    background: #111927;
    &:hover {
      background: #111927;
      color: #fff;
      border-color: #fff;
    }
  }
  background-color: $color-button;
  .border-booking {
    height: 0.5px;
    background: $color-border;
    -webkit-transform: rotate(-0.08deg);
    transform: rotate(-0.08deg);
  }
  .text-booking {
    padding-left: 10%;
    margin-top: 10px;
  }
  .breadcrumb {
    .ant-breadcrumb-separator {
      color: #fff;
    }
  }
  .content {
    padding-left: 400px;
    padding-right: 400px;
    background-color: $color-button;
    .title {
      text-align: center;
    }
    .ant-checkbox-wrapper {
      &:hover {
        background-color: $color-button;
        border-color: $yellow;
      }
      .ant-checkbox-inner {
        background-color: $color-button;
        border-color: $yellow;
      }
    }
    .ant-checkbox-wrapper {
      .ant-checkbox-inner {
        background-color: $color-button;
        border-color: $yellow;
      }

      .ant-checkbox-checked::after {
        border-color: $yellow;
      }

      .ant-checkbox-checked .ant-checkbox-inner::after {
        border: 1px solid $yellow;
        border-top: 0;
        border-left: 0;
        transform: rotate(45deg) scale(1) translate(-50%, -50%);
        opacity: 1;
        transition: all 0.2s cubic-bezier(0.12, 0.4, 0.29, 1.46) 0.1s;
      }
    }

    .info {
      .ctn-input {
      }
      .list-person {
        width: 100%;
        .ant-select-selector {
          background-color: $color-button;
          color: #fff;
          border: none;
        }
        .ant-select-arrow {
          .anticon > svg {
            color: #fff;
          }
        }
      }
      .border-info {
        height: 0.3px;
        background: $yellow;
        transform: rotate(-0.08deg);
        margin-top: 3px;
      }
      .border-info-text {
        height: 0.3px;
        background: $yellow;
        transform: rotate(-0.08deg);
      }
      .border-item {
        height: 0.3px;
        margin-bottom: 10px;
        background: #f3f4f6;
        transform: rotate(-0.08deg);
      }
      .input-text {
        padding: 0;
        color: #f3f4f6;
        background: none;
        border: none;
        margin-left: 20px;
      }
      .ant-input:focus {
        box-shadow: none;
        border-color: $color-border;
      }
      .time-line {
        .ant-select-selector {
          background-color: $color-button;
          border-color: none;
          box-shadow: none;
          border: none;
          &:focus {
            border-color: none;
          }
        }

        .ant-select-arrow {
          color: $white;
          margin-top: -25px;
        }
      }

      .modal-hour {
        .btn-hour {
          background: #fef7c3;
          border-radius: 4px;
        }
      }
    }

    .text-mess {
      .mess {
        .ant-input {
          background: #111927;
          margin-bottom: -15px;
          line-height: 20px;
        }
      }
    }
    .condition {
      line-height: 20px;
      .count {
        margin-bottom: -15px;
      }
    }
  }

  .btn-booking {
    .btn {
      width: 458px;
      height: 40px;
      background: #fff;
      color: #9da4ae;
      border: none;
    }
    .btn-active {
      background: $yellow;
      width: 458px;
      height: 40px;
      color: #111927;
      border: none;
    }
  }
}

.tablebooking-wapper-step {
  .content-step {
    background-color: $color-button;
    color: #fff;
    .title {
      text-align: center;
    }
    .step-end {
      .btn-sub-img {
        Button {
          display: flex;
          justify-content: center;
          align-items: center;
          width: 300px;
          color: #fff;
          background: $color-button;
          &:hover {
            background-color: $color-button;
            border-color: #fff;
          }
          .ant-btn:not([disabled]):hover {
            background: $color-button;
          }
          &:focus {
            border-color: #fff;
          }
          .ant-btn:focus {
            border-color: #fff;
            background: $color-button;
          }
          span {
            color: #fff;
          }
        }
      }
    }

    .ant-checkbox-wrapper {
      &:hover {
        background-color: $color-button;
        border-color: $yellow;
      }
      .ant-checkbox-inner {
        background-color: $color-button;
        border-color: $yellow;
      }
    }
    .ant-checkbox-wrapper {
      .ant-checkbox-inner {
        background-color: $color-button;
        border-color: $yellow;
      }

      .ant-checkbox-checked::after {
        border-color: $yellow;
      }

      .ant-checkbox-checked .ant-checkbox-inner::after {
        border: 1px solid $yellow;
        border-top: 0;
        border-left: 0;
        transform: rotate(45deg) scale(1) translate(-50%, -50%);
        opacity: 1;
        transition: all 0.2s cubic-bezier(0.12, 0.4, 0.29, 1.46) 0.1s;
      }
    }

    .info {
      .list-person {
        width: 100%;
        .ant-select-selector {
          background-color: $color-button;
          color: #fff;
          border: none;
        }
        .ant-select-arrow {
          .anticon > svg {
            color: #fff;
          }
        }
      }
      .border-info {
        height: 0.3px;
        background: $yellow;
        transform: rotate(-0.08deg);
        margin-top: 3px;
      }
      .border-info-text {
        height: 0.3px;
        background: $yellow;
        transform: rotate(-0.08deg);
      }
      .border-item {
        height: 0.3px;
        margin-bottom: 10px;
        background: #f3f4f6;
        transform: rotate(-0.08deg);
      }
      .input-text {
        padding: 0;
        color: #f3f4f6;
        background: none;
        border: none;
        margin-left: 20px;
      }
      .ant-input:focus {
        box-shadow: none;
        border-color: $color-border;
      }
      .time-line {
        .ant-select-selector {
          background-color: $color-button;
          border-color: none;
          box-shadow: none;
          border: none;
          &:focus {
            border-color: none;
          }
        }

        .ant-select-arrow {
          color: $white;
          margin-top: -25px;
        }
      }

      .modal-hour {
        .btn-hour {
          background: #fef7c3;
          border-radius: 4px;
        }
      }
    }

    .text-mess {
      .mess {
        .ant-input {
          background: #111927;
          // margin-bottom: -15px;
          line-height: 20px;
        }
      }
    }
    .condition {
      line-height: 20px;
      .count {
        margin-bottom: -15px;
      }
    }
  }
  .info {
    .border-info {
      height: 0.3px;
      background: $yellow;
      transform: rotate(-0.08deg);
      margin-top: 3px;
    }
  }
  .border-info {
    height: 0.3px;
    background: $yellow;
    transform: rotate(-0.08deg);
    margin-top: 3px;
  }
  .login-box {
    position: absolute;
    width: 100%;
    .form-text {
      .user-box {
        position: relative;
        input {
          // width: 100%;
          padding: 12px 0px;
          font-size: 16px;
          color: #fff;
          margin-bottom: 9px;
          border: none;
          // border-bottom: 1px solid #fff;
          outline: none;
          background: transparent;
        }
        label {
          position: absolute;
          top: 0;
          left: 0;
          padding: 10px 0;
          font-size: 14px;
          color: #fff;
          pointer-events: none;
          transition: 0.5s;
        }
      }
    }
    .user-box {
      position: relative;
      input {
        // width: 100%;
        padding: 12px 0px;
        font-size: 16px;
        color: #fff;
        margin-bottom: 9px;
        border: none;
        // border-bottom: 1px solid #fff;
        outline: none;
        background: transparent;
      }
      label {
        position: absolute;
        top: 0;
        left: 0;
        padding: 10px 0;
        font-size: 14px;
        color: #fff;
        pointer-events: none;
        transition: 0.5s;
      }
    }
    .border-icon {
      height: 0.3px;
      background: #fff;
      transform: rotate(-0.08deg);
      margin-top: -11px;
      margin-bottom: 11px;
      width: 39vw;
    }
  }
  .login-box .user-box input:focus ~ label,
  .login-box .user-box input:valid ~ label {
    top: -13px;
    left: 0;
    color: #fff;
    font-size: 12px;
  }
  .submit-btn {
    Button {
      width: 360px;
      color: #fff;
      background: $color-button;
      &:hover {
        background-color: $color-button;
        border-color: #fff;
      }
      .ant-btn:not([disabled]):hover {
        background: $color-button;
      }
      &:focus {
        border-color: #fff;
      }
      .ant-btn:focus {
        border-color: #fff;
        background: $color-button;
      }
      span {
        color: #fff;
      }
    }
  }
}

.cofirm-wapper {
  height: 110vh;
  background: $color-button;
  .col-1 {
    .form-confirm {
      position: absolute;
      .user-box {
        position: relative;
        input {
          padding: 12px 0px;
          font-size: 16px;
          color: #fff;
          margin-bottom: 9px;
          border: none;
          // border-bottom: 0.5px solid #6c737f;
          outline: none;
          background: transparent;
          // width: 32vw;
        }
        label {
          position: absolute;
          top: 0;
          left: 0;
          padding: 10px 0;
          font-size: 14px;
          color: #fff;
          pointer-events: none;
          transition: 0.5s;
        }
      }
    }
    .border-col1 {
      height: 1px;
      margin-bottom: 10px;
      background: #ddc298;
      transform: rotate(-0.08deg);
      width: 32vw;
    }

    .form-confirm .user-box input:focus ~ label,
    .form-confirm .user-box input:valid ~ label {
      top: -13px;
      left: 0;
      color: #fff;
      font-size: 12px;
    }
  }
  .col-2 {
    border-left: 1px solid #fff;
    height: fit-content;
    .gr {
      .border-col1 {
        height: 1px;
        margin-bottom: 10px;
        background: #ddc298;
        transform: rotate(-0.08deg);
      }
    }
    .border-ctn {
      height: 0.3px;
      margin-bottom: 10px;
      background: #f3f4f6;
      transform: rotate(-0.08deg);
    }
    .form-confirm {
      form {
        .user-box {
          position: relative;
          input {
            padding: 12px 0px;
            font-size: 16px;
            color: #fff;
            margin-bottom: 9px;
            border: none;
            // border-bottom: 1px solid #fff;
            outline: none;
            background: transparent;
          }
          label {
            position: absolute;
            top: 0;
            left: 0;
            padding: 10px 0;
            font-size: 14px;
            color: #fff;
            pointer-events: none;
            transition: 0.5s;
          }
        }
      }
      .bor-price {
        height: 0.3px;
        margin-bottom: 10px;
        background: #f3f4f6;
        transform: rotate(-0.08deg);
      }
    }
    .form-confirm .user-box input:focus ~ label,
    .form-confirm .user-box input:valid ~ label {
      top: -18px;
      left: 0;
      color: #fff;
      font-size: 12px;
    }
  }
}
